<div class="page">
	<div class="col">
		<div class="block">
			<div class="block_head">Информация</div>
			<div class="btn2 mt-10" data-target="#tasksmodal" data-toggle="modal">Доступные функции и описание полей</div>
		</div>
	</div>
	<div class="col">
		<div class="block">
			<div class="block_head">Добавление нового задания</div>
			<b>Наименование</b><input id="name" class="form-control mt-10" type="text" maxlength="255" autocomplete="off" placeholder="Наименование задания">
			<b>Награда</b><select class="form-control mt-10" id="award">{award}</select>
			<b>Количество</b><input class="form-control mt-10" id="award_count" placeholder="Количество ед. для награды">
			<b>Строка</b><input id="strfield" class="form-control mt-10" type="text" maxlength="255" autocomplete="off" placeholder="Строка (string)">
			<b>Число</b><input id="intfield" class="form-control mt-10" type="text" maxlength="255" autocomplete="off" placeholder="Числовая строка (INT)">
			<b>Функция</b><input id="file" class="form-control mt-10" type="text" maxlength="255" autocomplete="off" placeholder="Функция обработки задания">
			<b>Fa-fa icon</b><input id="fa" class="form-control mt-10" type="text" maxlength="255" autocomplete="off" placeholder="Fa-fa">
			<b>Описание</b>
			<textarea id="text" class="form-control maxMinW100" rows="5" placeholder="Описание задания"></textarea>
			<script>
				$(document).ready(function () {
					init_tinymce('text', '{{md5($conf->code)}}', 'lite',1);
				});
			</script>
			<button class="btn2 mt-10" onclick="task_add_function();">Добавить</button><b id="result" style="color:green;padding:inherit;"></b>
		</div>
	</div>
	{rows}
	<div id="tasksmodal" class="modal fade">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title">Информация</h4>
				</div>
				<div class="modal-body">
					<h4>Описание полей</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Наименование</b> - произвольное наименование задания<br>
						<b>Награда</b> - награда за выполненное действие<br>
						<b>Количество</b> - единица измерения награды, если деньги, то количетсво денег, если скидка, то процент<br>
						<b>Строка</b> - Поле типа string<br>
						<b>Число</b> - Поле типа int<br>
						<b>Функция</b> - Функция обрабатки и проверки статуса задания<br>
						<b>Fa-fa</b> - Иконочный шрифт<br>
						<b>Описание</b> - Описание задания<br>
					</div>
					<h4>Подписка на страницу вк</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Строка</b> - Токен пользователья на которого следует подписаться, можно получить здесь https://vkhost.github.io/<br>
						<b>Число</b> - ID пользователя без id. Например https://vk.com/id99999999 здесь ID <b>99999999</b><br>
						<b>Функция</b> - <b>vkfriend</b><br>
					</div>
					<h4>Вступить в группу вк</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Строка</b> - Токен группы<br>
						<b>Число</b> - ID группы без club. Например https://vk.com/club99999999 здесь ID <b>99999999</b><br>
						<b>Функция</b> - <b>vkgroup</b><br>
					</div>
					<h4>Набрать сообщения в общем чате на главной странице сайта</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Количество сообщений, которое необходимо набрать для успешного выполнения задания<br>
						<b>Функция</b> - <b>chatter</b><br>
					</div>
					<h4>Дружба с пользователями</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Количество подтвержденных друзей для успешного выполнения задания<br>
						<b>Функция</b> - <b>friendly</b><br>
					</div>
					<h4>Комментарии под новостями</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Количество комментариев оставленных под новостями<br>
						<b>Функция</b> - <b>commentator</b><br>
					</div>
					<h4>Потратить на покупке услуг</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Сумма, которую должен пользователь потратить на покупке услуг за всё время<br>
						<b>Функция</b> - <b>mecenat</b><br>
					</div>
					<h4>Сообщения на форуме</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Количество сообщений на форуме<br>
						<b>Функция</b> - <b>forumgik</b><br>
					</div>
					<h4>Сказать спасибо</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Количество спасибо, которое пользователь должен поставить<br>
						<b>Функция</b> - <b>thanks</b><br>
					</div>
					<h4>Сумма единоразового пополнения</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Число</b> - Сумма, на которую должен пополнить пользователь одним платежом<br>
						<b>Функция</b> - <b>donater</b><br>
					</div>
					<h4>Скачивание сборки</h4>
					<div class="bs-callout bs-callout-info mb-10 fs-14">
						<b>Строка</b> - Идентификатор ссылки на сборку. Например https://csserv.ru/g/lfdf8 идентификатор <b>lfdf8</b><br>
						<b>Число</b> - Номер заказа игрового сервера<br>
						<b>Функция</b> - <b>csservgetcs</b><br>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Закрыть</button>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
function task_edit_function(id){
	NProgress.start();
	var token=$('#token').val();
	var active=$('#show_'+id).val();
	var award=$('#award_'+id).val();
	var award_count=$('#award_count_'+id).val();
	var name=$('#name_'+id).val();
	var strfield=$('#strfield_'+id).val();
	var intfield=$('#intfield_'+id).val();
	var file=$('#file_'+id).val();
	var fa=$('#fa_'+id).val();
	var description=tinymce.get("text"+id).getContent();
	
	description=$.trim(description);
	
	name = encodeURIComponent(name);
	strfield = encodeURIComponent(strfield);
	file = encodeURIComponent(file);
	fa = encodeURIComponent(fa);
	description = encodeURIComponent(description);
	
	$.ajax({
		type:"POST",
		url:"../ajax/actions_tasks.php",
		data:"phpaction=1&task_edit_function=1&token="+token+"&description="+description+"&fa="+fa+"&file="+file+"&intfield="+intfield+"&taskid="+id+"&active="+active+"&award="+award+"&award_count="+award_count+"&name="+name+"&strfield="+strfield,dataType:"json",
		success:function(result){
			NProgress.done();
			if(result.status==1){
				setTimeout(show_ok,500);
			} else {
				setTimeout(show_error,500);
			}
			$("#result"+id).html(result.data);
		}
	});
}

function task_dell_function(id){
	NProgress.start();
	var data={};
	data['task_dell_function']='1';
	data['taskid']=id;
	$.ajax({type:"POST",url:"../ajax/actions_tasks.php",data:create_material(data),dataType:"json",success:function(result){
		NProgress.done();
		if(result.status==1){
			setTimeout(show_ok,500);
		} else {
			setTimeout(show_error,500);
		}
		$("#result"+id).html(result.data);
	}});
}

function task_add_function(){
	NProgress.start();
	var token=$('#token').val();
	var award=$('#award').val();
	var award_count=$('#award_count').val();
	var name=$('#name').val();
	var strfield=$('#strfield').val();
	var intfield=$('#intfield').val();
	var file=$('#file').val();
	var fa=$('#fa').val();
	var description=tinymce.get("text").getContent();
	
	description=$.trim(description);
	
	name = encodeURIComponent(name);
	strfield = encodeURIComponent(strfield);
	file = encodeURIComponent(file);
	fa = encodeURIComponent(fa);
	description = encodeURIComponent(description);
	
	$.ajax({
		type:"POST",
		url:"../ajax/actions_tasks.php",
		data:"phpaction=1&task_add_function=1&token="+token+"&description="+description+"&fa="+fa+"&file="+file+"&intfield="+intfield+"&award="+award+"&award_count="+award_count+"&name="+name+"&strfield="+strfield,dataType:"json",
		success:function(result){
			NProgress.done();
			if(result.status==1){
				setTimeout(show_ok,500);
			} else {
				setTimeout(show_error,500);
			}
			$("#result").html(result.data);
		}
	});
}
</script>